.gras{font-weight:bold;}
.barre{text-decoration:line-through;}
.italique{font-style:italic;}
.ArticleComplet{margin-left:auto;width:auto}
.ArticleCompletDroite{margin-left:auto;width:auto;margin-right:320px}
.ArticleHorsLigne{margin-left:15px;margin-right:15px;width:auto}
#RubriqueDroite{width:310px;float:right;margin-left:10px;zoom:1}
p.auteur{padding-left:10px}
a.auteur{color:#446372;text-align:center;font:bold 12px Verdana,sans-serif;text-decoration:none}
a.auteur:active,a.auteur:link,a.auteur:visited,a.auteur:hover{color:#446372}
a.homepage{color:#69f;text-align:center;font:bold 11px Verdana,sans-serif;text-decoration:none;padding-left:2px;padding-right:2px;padding:0 2px}
.auteur-non-dvp{color:#446372;font:bold 12px Verdana,sans-serif;text-decoration:none}
a.homepage:active,a.homepage:link,a.homepage:visited,a.homepage:hover{color:#69f}
a.lienArticle,a.lienLivre{color:#446372;text-align:center;font:bold 12px Verdana,sans-serif}
a.lienArticle:active,a.lienLivre:active{color:#446372}
a.lienArticle:link,a.lienLivre:link{color:#446372}
a.lienArticle:visited,a.lienLivre:visited{color:#446372}
a.lienLivre:hover{color:#446372}
.licence{color:#000;text-align:justify;font:10px Verdana,sans-serif;text-decoration:none}
a.lienDico{text-decoration:none;border-bottom:1px dotted navy}
a.lienDico:hover{border-bottom:1px solid navy}
a.lienforum {text-decoration:none;color:#283D43;border-bottom:1px dashed rgb(99, 137, 216)}
a.lienforum:hover {background-color:#F5F5FF;border-bottom:1px solid #6389D8; color:#6389D8}
.soustitre{color:#000;text-align:center;font:bold 12px Verdana,sans-serif;text-decoration:none;padding-bottom:50px}
blockquote.citation{margin:0 15px 0 50px;color:#000;text-align:justify;font:italic 12px/130% Verdana,sans-serif;text-decoration:none;border:1px dotted gray;padding:4px}
.important{margin:0 2px;text-align:justify;font:italic 700 14px LuxiMono}
span.important{margin:0 2px;text-align:justify;font:italic 700 14px LuxiMono}
.titreliste{color:#000;text-align:left;font:bold 12px Verdana,sans-serif;margin:0 15px 0 0}
.signetNoteBasPage{color:#2b536c;font:9px Verdana,sans-serif;text-decoration:none;vertical-align:text-top}
a.noteBasPage{color:#2b536c;font:9px Verdana,sans-serif;text-decoration:none;vertical-align:text-top}
span.noteBasPage{font:9px Verdana,sans-serif;text-decoration:none;vertical-align:baseline}
.noteBasPage{color:#2b536c;text-align:justify;font:7px Verdana,sans-serif;text-decoration:none}
.image{margin:10px;text-align:center}
.legimage{text-align:center}
.legtableau{font-size:10px;font-weight:bold;text-align:center}
.legmp3{font-size:10px;font-weight:bold;text-align:center;margin-top:2px;margin-bottom:5px}
caption{caption-side:bottom}
figcaption{padding:5px 5px}
article figure {padding:10px 10px;}
.colonne_entete{padding:3px;font:bold 12px Verdana,sans-serif;background:#a6a5c2}
.colonne{padding:3px;font:12px Verdana,sans-serif;text-align:justify}
.entete{font-weight:700;background:#a6a5c2}
.renvoiSignet{text-decoration:none;color:#00f;font:11px Verdana,sans-serif;border-bottom:1px dotted #00f}
a.renvoiSignet:hover,a.lienArticle:hover {background-color:rgba(155, 177, 188, 0.3); }
.tableref{width:600px;color:#666;font:10px Verdana,sans-serif;text-decoration:none;border:3px solid #6389d8;margin:0 auto;background:#def}
.trreftitle{padding:10px 0 0 10px;color:#6389d8;font-weight:700}
.trrefelem{padding:0 0 0 30px}
.codeinline{font-size:12px;font-family:Courier New,Courier,mono,sans-serif;font-style:normal;background-color:#ECECEC;padding: 0 3px;white-space:pre}
.sommaireSectionNbq{text-decoration:none;font-size:80%}
.sommaireQuestionNom{text-decoration:none;font-size:100%;color:#006}
.sommaireQuestionAJour{text-decoration:none;font-size:120%;color:#080;font-weight:700}
.sommaireQuestionNouveau{text-decoration:none;font-size:120%;color:red;font-weight:700}
img{border:none;}
.ImgLimite{max-width:650px}
.ImgCliquable{box-shadow: 0 0 10px 2px black;-webkit-border-radius:5px;-moz-border-radius:5px;border-radius:5px;padding:3px;margin:10px}
.ImgCliquableVideo{background-color:black;box-shadow: 0 0 10px 2px black;-webkit-border-radius:5px;-moz-border-radius:5px;border-radius:5px;padding:3px;margin:10px}
.EffetCliquableVideo a:hover img, .EffetCliquableVideo a:focus img {
	opacity: 1; /* opacite au survol */
	-ms-filter:"prodig:DXImageTransform.Microsoft.Alpha(Opacity=100)"; /* Hack IE 8 */
	filter: alpha(opacity = 100); /* Hack IE 5-7 */
}
.EffetCliquableVideo img {
	opacity: 0.8; /* opacite au survol */
	-ms-filter:"prodig:DXImageTransform.Microsoft.Alpha(Opacity=80)"; /* Hack IE 8 */
	filter: alpha(opacity = 80); /* Hack IE 5-7 */
}
div.sommaire{margin:0 20px;text-align:left;font-size:100%}
span.lienversionenligne{display:block;height:24px;text-align:left;padding-left:26px;background:url(http://www.developpez.com/template/kit/kitbm-site-personnel.png) no-repeat;color:#6389d8;letter-spacing:-1px;font-style:italic;font-weight:bold;font-size:12px}
span.lientelechargement{display:block;height:20px;text-align:left;padding-left:22px;background:url(http://www.developpez.com/template/kit/kiticopdf.gif) no-repeat;color:#6389d8;letter-spacing:-1px;font-style:italic;font-weight:bold;font-size:12px}
span.lientelechargementpdf{/*display:block;height:20px;*/text-align:left;padding-left:22px;background:url(http://www.developpez.com/template/kit/kiticopdf.gif) no-repeat;color:#6389d8;letter-spacing:-1px;font-style:italic;font-weight:bold;font-size:12px}
span.lientelechargementzip{/*display:block;height:20px;*/text-align:left;padding-left:22px;background:url(http://www.developpez.com/template/kit/kiticozip.gif) no-repeat;color:#6389d8;letter-spacing:-1px;font-style:italic;font-weight:bold;font-size:12px}
span.lientelechargementebook{text-align:left;padding-left:22px;background:url(http://www.developpez.com/template/kit/kitebooks.png) no-repeat;color:#6389d8;letter-spacing:-1px;font-style:italic;font-weight:bold;font-size:12px}
a.lientelechargement,a.lientelechargement:visited,a.lientelechargement:link{color:#446372;text-decoration:none;text-decoration:none}
a.lientelechargement:hover{text-decoration:underline;color:red;text-decoration:underline;color:red}
div.image{margin:4px 0;text-align:center}
.haut{text-decoration:none;text-align:center}
.code pre{margin:0}
.code{margin-left:30px;margin-right:30px;border:#d1d7dc;border-style:solid;border-width:1px;text-align:left;background:#fafafa}
.LigneCode{line-height:7px}
.LignePreCode{margin-bottom:1px}
.titre_code{padding:2px;color:#fff;border:#d1d7dc;border-style:solid;border-width:1px;text-align:left;font:700 10px Verdana,sans-serif;background:#a6a5c2}
.ora_code,.java_code,.xml_code,.vb_code,.sql_code,.php_code,.python_code,.postgresql_code,.bcb_code,.other_code,.csharp_code,.linux_code,.perso_code,.delphi_code,.delphinet_code,.vbnet_code,.c_code,.cpp_code,.css_code,.asp_code,.js_code,.as_code,.aspnet_code,.awk_code{padding:0;text-align:left;text-decoration:none;font:11px Courier New,Courier,mono,sans-serif}
pre.code em{background:#ccc}
span.java_kw,span.java_type,span.js_keyword,span.as_keyword{font-weight:700;color:#7f0055}
span.java_ch,span.js_ch,span.as_ch{color:#2a00ff}
span.java_comment,span.js_comment,span.as_comment{color:#3f7f5f}
span.java_javadoc,span.pg_type{color:#3f5fbf}
span.delphinet_ch,span.bcb_keyword,span.csharp_keyword,span.vbnet_keyword,span.vb_keyword,span.sql_keyword,span.pg_keyword,span.as_keyword{color:#03f}
span.python_keyword{color:#ff8040}
span.bcb_type,span.csharp_type,span.vbnet_type,span.vb_type,span.as_properties{font-weight:700;color:#36c}
span.bcb_ch,span.csharp_ch,span.vbnet_ch,span.vb_ch,span.css_keywordvalue,span.pg_ch,span.as_ch,span.sql_ch{color:#939}
span.bcb_comment,span.php_comment,span.python_comment{color:#999}
span.delphi_comment,span.c_comment,span.cpp_comment,span.perso_comment{font-style:italic;color:navy}
span.bcb_define,span.csharp_define,span.python_ch{color:#393}
span.delphinet_keyword,span.xml_balise,span.ora_keyword,span.ora_type{font-weight:700;color:navy}
span.php_keyword,span.delphi_keyword,span.delphinet_type,span.delphi_type,span.c_keyword,span.cpp_keyword,span.c_type,span.cpp_type,span.css_keyword,span.linux_keyword,span.perso_keyword,span.perso_type{font-weight:700;color:#000}
span.php_ch,span.xml_ch,span.aspnet_ch,span.ora_ch{color:#00f}
span.xml_comment,span.ora_comment,span.c_define,span.cpp_define,span.css_comment,span.csharp_comment,span.pg_comment,span.delphi_directive,span.as_comment,span.linux_ch{color:green}
span.xml_echap{font-weight:700;color:#00f}
span.ora_var{color:#7f0055}
span.ora_define,span.delphi_ch,span.css_ch,span.perso_ch{color:navy}
span.delphinet_comment,span.vbnet_comment,span.vb_comment,span.sql_comment{color:#693}
span.asp_objects,span.linux_nombre{font-weight:700;color:#900}
span.asp_methods,span.css_classe{font-weight:700;color:#009}
span.vbs_ch{color:#060}
span.vbs_comment{color:#999}
span.vbs_functions{color:#960}
span.vbs_statements{color:#609}
span.aspnet_balise{color:#923f16}
span.aspnet_attribut{color:red}
span.aspnet_function{font-weight:700;color:#000}
span.aspnet_comment{color:#00a000}
span.awk_keyword{font-weight:700;color:#bad7b9}
span.awk_keyword2{font-weight:700;color:#e5dfad}
span.awk_ch{font-weight:700;color:#a8b6db}
span.awk_comment{font-weight:700;color:#d59b9b}
span.delphinet_directive{color:#408080}
span.php_fonc{color:navy}
span.php_const{font-weight:700;color:#939}
span.php_var{color:#939}
span.php_nbr{color:red}
a.php_fonc_lien{text-decoration:none;color:navy}
.barreNavigationTexte{font-size:120%;font-weight:700}
.cadrearticle{color:#000;text-decoration:none;margin:auto;font:400 11px Verdana,sans-serif}
.hr-separation{height:1px;border-width:0;color:#25465b;background-color:#9BB1BC;margin:1px 1px}
.articleBody{clear:both;padding-top:1px}
.fixed2{position:fixed;top:15px}
.ToggleImgPlier,.ToggleImgDeplier{cursor:pointer;vertical-align:middle;padding-left:15px}
.ToggleImgPlier{margin-bottom:2px}
.nav-sommaire{width:25%;float:left;margin-right:15px;border:1px solid #DDDDDD;-moz-border-radius:7px;-webkit-border-radius:7px;border-radius:7px;text-align:left;background:#fff;background-color: rgba(155, 177, 188, 0.1)}
.nav-sommaire-ul{list-style:none;padding-left:8px}
.fixeMarge{width:73%;margin-left:25%;padding-left:17px}
.fixeMargeSansSommaire{}
.SectionSynopsis{padding: 5px 20px 5px 20px;color:#243C47;text-align:justify;text-decoration: none;border: 1px solid rgb(155, 177, 188);border-radius: 7px;
font: 400 12px Verdana,sans-serif;background: none repeat scroll 0% 0% rgba(155, 177, 188, 0.3);
background-image: url("http://www.developpez.com/template/kit/ent-entete.png");line-height:18px;
}
.InfoAuthArtBook{width:70%;margin-top:20px;margin-left:25%;padding-left:17px}
.InfoAuthArtBookSansSommaire{margin-top:20px}
.SectionAuteurs{width:32%;float:left;text-align:left;margin-right:10px}
.InfoArticle,.InfoBookmarks{padding-left:10px}
.InfoBookmarks{margin-bottom:10px}
.SectionInformationArticle{width:48%;float:left;text-align:left;margin-right:10px}
.SectionInformationArticle p{text-align:left;}
.SectionBookmarks{width:15%;float:left;text-align:left;margin-right:5px}
.separation{clear:both;color:#009be9;height:1px;border:2px solid #009be9;width:200px;background:#009be9}
iframe{border:0 #000 none}
.tableau{width:98%;border-collapse:collapse;border-style:solid;border-color: rgb(221, 221, 221);text-align:left;margin:0 auto;line-height:130%;background:#fff;margin-bottom:10px}
.titre_des_codes,.tableau th{font-weight: 600;}
.tableau,.tableau td,.tableau th{border-color: rgb(221, 221, 221);}
.tableau th{background: none repeat scroll 0% 0% #fafafa;background: none repeat-x scroll left top #EBEFF2;}
.mot_souligne{text-decoration:underline}
.image_verticale{vertical-align:middle}
.TableauRubriqueDroite{width:100%;border-spacing:0;border-collapse:collapse;padding:0}
.TextAlign-center{text-align:center}
.TextAlign-left{text-align:left}
.TextAlign-right{text-align:right}
.imgtext-gauche{width:50px}
.imgtext-contenu{padding-right:5px}
.imgtext-perso{text-align:justify;margin:10px 50px 10px 10px;padding:5px}
.table-imgtext-perso{border:0 none;text-align:justify;margin:10px 50px 10px 10px;padding:5px}
.imgtext-image-perso{padding-right:15px;vertical-align:middle;float:left}
.imgtext-contenu-perso{padding-left:10px}
.rich-imgtext-perso-bordure,.imgtext-perso-bordure,.imgtext-idea,.imgtext-warning,.imgtext-info,.imgtext-error{/*clear:both;*/border:none !important;text-align:justify;-moz-border-radius:10px;-webkit-border-radius:10px;border-radius:10px;margin:10px 40px;padding:10px;border:1px solid #25465b;padding-left:70px}
.imgtext-idea{background:url(http://www.developpez.com/template/kit/kitidea.png) no-repeat 10px center #ffd;padding-left:70px}
.imgtext-warning{background:url(http://www.developpez.com/template/kit/kitwarning.png) no-repeat 10px center #feb;padding-left:70px}
.imgtext-info{background:url(http://www.developpez.com/template/kit/kitinfo.png) no-repeat 10px center #def;padding-left:70px}
.imgtext-error{background:url(http://www.developpez.com/template/kit/kiterror.png) no-repeat 10px center #ffbcc5;padding-left:70px}
.imgtext-icone{width:40px;float:left;text-align:center;margin-right:50px}
.rich-imgtext-idea,.rich-imgtext-warning,.rich-imgtext-info,.rich-imgtext-error{text-align:justify;clear:both;-moz-border-radius:10px;-webkit-border-radius:10px;border-radius:10px;margin:5px;padding:5px;border:1px solid #25465b}
.rich-imgtext-idea{background-color:#ffd}
.rich-imgtext-warning{background-color:#feb}
.rich-imgtext-info{background-color:#def}
.rich-imgtext-error{background-color:#ffbcc5}
.new-sommaire{box-shadow:10px 10px 5px #d0f0ff}
div.barreNavigation{margin-right:5px;margin-left:5px;text-align:left;font-size:100%;padding-top:20px}
.titre-article{color:#3a5486;padding-bottom:15px;text-align:center;letter-spacing:5px;text-shadow:1px 1px 1px #000;font:700 22px Verdana,sans-serif}
.soustitre-article{text-align:center;text-shadow:1px 1px 1px #000;letter-spacing:3px;color:#000;text-align:center;text-decoration:none;font:700 16px Verdana,sans-serif}
.soustitre-article img{padding-top:10px}
.DecalageTraduction{padding-left:220px}
.titre_des_codes{font-weight:600;border-radius:8px;-moz-border-radius:8px;-webkit-border-radius:8px;border-bottom-left-radius:0;-moz-border-radius-bottomleft:0;-webkit-border-bottom-left-radius:0;border-bottom-right-radius:0;-moz-border-radius-bottomright:0;-webkit-border-bottom-right-radius:0;padding-left:12px;padding-top: 2px;margin-left:0;text-align:left;color:#243C47;height:18px;font:12px Verdana,sans-serif;background:#EBEFF2}
.radius_titre_des_codes_seul{border-bottom:none;-moz-border-radius:8px;-webkit-border-radius:8px;border-radius:8px}
.code_et_titre{margin:10px 40px;padding-left:0;-moz-border-radius:10px;-webkit-border-radius:10px;border-radius:10px;
border:1px solid rgb(221, 221, 221);text-align:left;overflow:auto;background:none repeat scroll 0% 0% #F5F7F8}
.code_uniquement{padding-left:12px;text-align:left}
.numerotation_code{float:left;width:40px;padding-left:5px;margin:0;background:#f1f2f1}
.LienSelectionne{font-weight:bold;cursor:pointer;color:#446372;text-decoration:underline}
.selectionner_code{font-size:12px;font-weight:normal;float:right;padding-right:5px;vertical-align:middle}
.telecharger_code,.lien_telecharger_code,.dissimuler_code{float:right}
.lien_dissimuler_code{margin:2px}
.lien_documentation_code{text-decoration:none}
.TitreHeader{min-width:95px;color:#fff;letter-spacing:1px;-moz-border-radius:7px;-webkit-border-radius:7px;border-radius:7px;letter-spacing:normal;margin-top:0;text-shadow:0 0 4px #000;border-top:1px solid #96d1f8;padding:5px 10px 5px 20px;-webkit-border-radius:8px;-moz-border-radius:8px;border-radius:7px;-webkit-box-shadow:none;-moz-box-shadow:none;box-shadow:none;text-shadow:none;color:#243C47;text-decoration:none;vertical-align:middle;font:700 12px Verdana,sans-serif;background: none repeat-x scroll left top rgba(155, 177, 188, 0.2);border: 1px solid #9BB1BC;background-image: url("http://www.developpez.com/template/kit/ent-entete.png")}
.TitreHeader img:before{content: url("http://www.developpez.com/template/kit/kitbm-site-personnel.png");}
.TitreHeader img{float: right;padding: 3px;border-radius: 3px;background-color: rgba(155, 177, 188, 0.3);}
.TitreHeader img:hover{background-color: rgba(155, 177, 188, 0.4);}
.StopArrondi{border-bottom-left-radius:0;-moz-border-radius-bottomleft:0;-webkit-border-bottom-left-radius:0;border-bottom-right-radius:0;-moz-border-radius-bottomright:0;-webkit-border-bottom-right-radius:0}
.nav-sommaire .TitreHeader{border: none;border-top:none}



header h1.atomya{border-bottom-left-radius:0;-moz-border-radius-bottomleft:0;-webkit-border-bottom-left-radius:0;border-bottom-right-radius:0;-moz-border-radius-bottomright:0;-webkit-border-bottom-right-radius:0}
.TitreSection0,.TitreSection1,.TitreSection2,.TitreSection3,.TitreSection4,.TitreSection5{
padding:5px 15px;
-webkit-border-radius:10px;
-moz-border-radius:10px;
border-radius:10px;text-shadow:rgba(0,0,0,.6) 1px 1px 0;color:#FFFFFF;text-decoration:none;
vertical-align:middle;height:16px;font-style:bold;font-size:13px;font-style:Verdana,sans-serif;background:repeat-x top left}
.TitreSection0, .TitreSection1, .TitreSection2, .TitreSection3, .TitreSection4, .TitreSection5 {
border-bottom-left-radius:0;border-bottom-right-radius:0;border-top-left-radius:5px;border-top-right-radius: 5px;
box-shadow: 0 1px 3px rgba(0, 0, 0, 0.3), 0 3px 5px rgba(0, 0, 0, 0.2), 0 5px 10px rgba(0, 0, 0, 0.2), 0 15px 15px rgba(0, 0, 0, 0.15);
margin-bottom: 20px;margin-top: 20px;margin-left: 15px;padding:4px 15px 4px 15px;
}
.TitreSection0 {background-image: url("http://www.developpez.com/template/kit/ent-niveau0.png");}
.TitreSection1 {background-image: url("http://www.developpez.com/template/kit/ent-niveau1.png");}
.TitreSection2 {background-image: url("http://www.developpez.com/template/kit/ent-niveau2.png");}
.TitreSection3 {background-image: url("http://www.developpez.com/template/kit/ent-niveau3.png");}
.TitreSection4 {background-image: url("http://www.developpez.com/template/kit/ent-niveau4.png");}
.TitreSection5 {background-image: url("http://www.developpez.com/template/kit/ent-niveau5.png");}
/* plutôt que des .BlocSection(i) avec des margin-left qui changent et donnent un espacement non-constant, 
   un seul .BlocSection avec un margin-left fixe de 30px */
.BlocSection,.BlocSection0,.BlocSection1,.BlocSection2,.BlocSection3,.BlocSection4,.BlocSection5 {margin-bottom: 10px;margin-left: 30px;margin-right: 0;margin-top: 10px}
.summaryIndent0{color:#203d4f;text-decoration:none;margin-left:0;font:700 12px/200% Verdana,sans-serif}
.summaryIndent1{color:#30577c;margin-left:15px;text-decoration:none;font:400 11px/150% Verdana,sans-serif}
.summaryIndent2{color:#27729d;margin-left:30px;text-decoration:none;font:400 11px/120% Verdana,sans-serif}
.summaryIndent3{color:#4a8fa8;margin-left:45px;text-decoration:none;font:400 11px Verdana,sans-serif}
.summaryIndent4{color:#4a8fa8;margin-left:60px;text-decoration:none;font:400 11px Verdana,sans-serif}
.summaryIndent5{color:#4a8fa8;margin-left:75px;text-decoration:none;font:400 11px Verdana,sans-serif}
.summaryIndent6{color:#4a8fa8;margin-left:90px;text-decoration:none;font:400 11px Verdana,sans-serif}
.fr,.Fr{padding-left:15px;background:url(http://www.developpez.com/template/kit/fr.gif) no-repeat left}
.faq,.Faq{padding-left:20px;background:url(http://www.developpez.com/template/kit/kitfaq.jpg) no-repeat left}
.en,.En,.ang{padding-left:14px;background:url(http://www.developpez.com/template/kit/en.gif) no-repeat left}
.src,.Src{padding-left:35px;background:url(http://www.developpez.com/template/kit/kitsrc.jpg) no-repeat left}
.dico,.Dico,.lienDico{padding-left:22px;background:url(http://www.developpez.com/template/kit/kitdico.jpg) no-repeat left}
.srcs,.Srcs{padding-left:45px;background:url(http://www.developpez.com/template/kit/kitsrcs.jpg) no-repeat left}
.icozip,.Icozip{padding-left:16px;background:url(http://www.developpez.com/template/kit/icozip.png) no-repeat left}
.icopdf,.Icopdf{padding-left:16px;background:url(http://www.developpez.com/template/kit/icopdf.png) no-repeat left}
.mailto{padding-left:14px;background:url(http://www.developpez.com/template/kit/mailto.gif) no-repeat left}
.https{padding-left:14px;background:url(http://www.developpez.com/template/kit/https.png) no-repeat left}
.ftp{padding-left:14px;background:url(http://www.developpez.com/template/kit/ftp.png) no-repeat left}
.news{padding-left:16px;background:url(http://www.developpez.com/template/kit/news.png) no-repeat left}
.simple,.http{padding-left:14px;background:url(http://www.developpez.com/template/kit/link.gif) no-repeat left}
.AuteurIcone{padding-left:28px;font-weight:bold;color:#003366;text-decoration:none;text-align:left;background:url(http://www.developpez.com/template/kit/auteurs-icone.png) no-repeat left}
.intervenant{padding-left:16px;background:url(http://www.developpez.com/template/kit/kitintervenant.png) no-repeat left}
.ToggleImg{cursor:pointer;vertical-align:middle}
h1.ToggleGecko{margin:0}
.SectionNoteBasPage{min-width:400px}
.LigneNoteBasPage{clear:both}
.NumerotationNoteBasPage{text-align:right;float:left;width:5%;padding:5px;font-size:12px;clear:both}
.ContenuUneNoteBasPage{float:left;text-align:left;padding:5px;font-size:12px;margin-bottom:5px;width:85%}
.liste1{list-style-type:decimal}
.listea{list-style-type:lower-alpha}
.listeA{list-style-type:upper-alpha}
.listei{list-style-type:lower-roman}
.listeI{list-style-type:upper-roman}
.listenone{list-style-type:none}
.listedisc{list-style-type:disc}
.ListeDVP li{text-align:justify}
li{margin-bottom:3px;font-size:12px}
.HautPage{float:right;text-align:right;width:16px;vertical-align:middle;color:#fff;font-weight:700;width:45px}
.contenuPage .HautPage { color:#fff !important; }
h1.TitreFAQ,a.TitreFAQ,a.TitreFAQ:visited{color:#6389d8;text-decoration:none;text-align:left;font-size:20px;letter-spacing:-1px;margin-bottom:0}
p.AuteursPageFAQ{margin-top:0;font-style:italic;font-size:.8em}
section.EditoFAQ{padding:0 15px;color:#666;text-align:justify;text-decoration:none;border:1px solid #69f;-moz-border-radius:12px;-webkit-border-radius:12px;border-radius:10px;overflow:hidden;font:400 12px Verdana,sans-serif;background:#def}
p.edito_paragraphe{text-indent:0}
p.edito_paragraphe a{color:#878787}
div.BarreNavigationFAQ{border-top:1px solid #ddd;border-bottom:1px solid #ddd;padding-top:10px;margin-top:20px;margin-bottom:20px}
div.BarreNavigationFAQ div.gauche{padding-top:3px}
span.sommaireQuestionNouveau,span.sommaireQuestionAJour{font-size:.8em;font-style:italic}
.CurseurPointeur{cursor:pointer}
.droite{height:30px;line-height:30px;padding-top:3px;float:right}
.gauche{float:left}
.QA{margin-top:10px}
.DateQuestions,.AAuteurs{font-size:9px;padding:0 20px;text-align:right;font-style:italic;color:#7e7e7e}
.AAuteurs{padding:0;font-style:normal;text-decoration:none;font-weight:700}
.InformationDroiteTitreQA{text-align:right}
.AuteursQA{text-decoration:none;color:#446372;font-weight:700;font-size:11px}
.tableauQuestion,.QA_ligne_titre,.QA_ligne_question{border-radius:8px;-moz-border-radius:8px;-webkit-border-radius:8px}
.tableauQuestion,td.QA_ligne_titre,td.QA_ligne_autheur,td.QA_ligne_question{border-style:solid;border-color:#25465b}
.ContenuFAQ{width:58%;vertical-align:top}
.ColonneDroite{width:30%;vertical-align:top;float:left}
.DivLogo{width:90px;float:left}
.LogoFAQSRC{width:80px;height:80px}
.DivPresentationMoteur{margin-left:100px;text-align:left;margin-bottom:20px;min-height:65px}
#divResultSearch{margin-right:125px}
#divSearchSubmit{float:right;width:120px}
#searchSubmit{border:1px solid #ddd;cursor:pointer;margin-left:5px;width:120px;background:#f0f0f0}
#resultSearch{background:url(http://www.developpez.com/template/kit/kitcours-input-fond.png) no-repeat left center #fff;border:1px solid #ddd;width:80%}
.navigation{color:#35383c;font:14px arial,tahoma,arial,sans-serif;margin:0 0 4px;padding:0 0 0 7px;text-align:left;text-transform:uppercase}
.navigation span{margin-left:10px;margin-right:10px}
#resultats .nextprevious{font-weight:700;border-bottom:1px solid #35383c;cursor:pointer}
#resultats p.resultDescr{padding:0;margin:5px 20px 0;font-size:10px;font-style:italic}
#resultats span.url{margin:0 20px;font-size:10px;font-style:italic}
.theme,.resultItem{font-size:12px;font-weight:400;list-style-type:none;margin:3px 0 3px 20px;padding:0 0 1px 20px}
#resultats div.resultPuce{background:url(http://nono40.developpez.com/temp/testmoteur/kitlivrepuce.png) no-repeat left bottom;width:18px;height:15px;float:left}
#resultats li a{border-bottom:1px solid #35383c;color:#35383c;text-decoration:none}
#resultats .nextprevious:hover{color:#0062d9;border-bottom:1px solid #0062d9}
#resultats{display:none;color:#666;padding:2px 5px;margin-top:6px;margin-bottom:15px;text-align:justify;border:1px solid #ddd;background:url(http://www.developpez.com/template/kit/kitlivrebg.gif) left bottom}
.DivQuestionFAQ{border-radius:10px;margin-bottom:15px;border:1px solid #638ad9;border-top:none;width:100%;background:left top #f0f5ff}
.DivQuestionEnteteFAQ{padding:0px 10px;background:url(http://www.developpez.com/template/kit/faqTitre1.jpg) repeat-x center center;border-top-left-radius:10px;-moz-border-radius-topleft:10px;-webkit-border-top-left-radius:10px;border-top-right-radius:10px;-moz-border-radius-topright:10px;-webkit-border-top-right-radius:10px;text-shadow:1px 1px 0 rgba(0,0,0,.6);font-family:Verdana,sans-serif;text-decoration:none;vertical-align:middle;font-weight:700;font-style:italic;height:32px}
.AQuestionFAQ{color:#fff;font-size:14px;text-decoration:none;line-height:14px;display:inline-block}
.DivQuestionTitreFAQ{float:left;vertical-align:middle;padding-left:5px;width:95%;line-height:32px;height:32px}
.DivQuestionAuteursFAQ{margin-right:20px;float:right;vertical-align:middle;text-align:right}
.DivHautFAQ{width:20px;float:right;margin-top:5px}
.DivQuestionContenuFAQ{padding:2px 20px;text-align:justify;font-weight:400}
.MotsClesQR{font-size:9px;padding:0 20px;text-align:left;font-style:italic;color:#7e7e7e;width:50%}
.LienDownloadFAQ{padding:0px 20px;text-align:left}
section.SommaireCompletFAQ{text-align:left;border:1px solid #638ad9;border-top:none;border-top-left-radius:12px;-moz-border-radius-topleft:12px;-webkit-border-top-left-radius:12px;border-top-right-radius:12px;-moz-border-radius-topright:12px;-webkit-border-top-right-radius:12px}
header.SommaireFAQ{padding:0 10px;background:url(http://www.developpez.com/template/kit/faqTitre.jpg) repeat-x center center;border-top-left-radius:12px;-moz-border-radius-topleft:12px;-webkit-border-top-left-radius:12px;border-top-right-radius:12px;-moz-border-radius-topright:12px;-webkit-border-top-right-radius:12px;text-shadow:rgba(0,0,0,.4) 0 1px 0;font-family:Verdana,sans-serif;text-decoration:none;vertical-align:middle;text-align:left}
span.TitreSommaireFAQ{font-weight:700;font-size:14px;color:#fff;text-decoration:none;display:inline-block;padding:7px 5px}
span.TitreSommaireFAQ a.TitreSommaireFAQ{color:#fff}
.TitreFAQ1,.TitreFAQ2,.TitreFAQ3,.TitreFAQ4,.TitreFAQ5,.TitreFAQ6,.TitreFAQ7,.TitreFAQ8,.TitreFAQ9{font-weight:700;font-size:14px;color:#000;text-decoration:none;display:inline-block;padding-top:5px}
.LienEnteteQuestionFAQSRC{font-size:14px}
.LienQuestionFAQSRC{font-size:12px;color:#000;text-decoration:none;margin-bottom:5px;font-weight:400}
a.LienQuestionFAQSRC:hover{background:#d9edff}
.FAQNombreQuestions{font-size:10px}
.PlusMoins{margin-right:4px}
#TitreSommaireFAQ,.LienEnteteQuestionFAQSRC,.LienQuestionFAQSRC{list-style:none}
.dash{border-bottom:1px dotted #000}
.tooltip{position:relative;cursor:help;display:inline-block;color:#222;outline:medium none}
.tooltip span{visibility:hidden;position:absolute;bottom:20px;left:25%;z-index:999;width:150px;margin-left:-27px;padding:10px;border:2px solid #ccc;opacity:.9;background-image:-webkit-linear-gradient(rgba(255,255,255,0.5),rgba(0,0,0,0));background-image:-moz-linear-gradient(rgba(255,255,255,0.5),rgba(0,0,0,0));background-image:-ms-linear-gradient(rgba(255,255,255,0.5),rgba(0,0,0,0));background-image:-o-linear-gradient(rgba(255,255,255,0.5),rgba(0,0,0,0));background-image:linear-gradient(rgba(255,255,255,0.5),rgba(0,0,0,0));-moz-border-radius:4px 4px 4px 4px;border-radius:4px;-moz-box-shadow:0 1px 2px rgba(0, 0, 0, 0.4), 0 1px 0 rgba(255, 255, 255, 0.5) inset;-webkit-box-shadow:0 1px 2px rgba(0, 0, 0, 0.4), 0 1px 0 rgba(255, 255, 255, 0.5) inset;box-shadow:0 1px 2px rgba(0, 0, 0, 0.4), 0 1px 0 rgba(255, 255, 255, 0.5) inset;text-shadow:0 1px 0 rgba(255, 255, 255, 0.4);color: #fff; border-color:rgb(155, 177, 188); background:rgb(155, 177, 188)}
/*.tooltip:hover{border:0 none}  */
.tooltip:hover span{visibility:visible}
.tooltip span:before,.tooltip span:after{content:"";position:absolute;z-index:1000;bottom:-7px;left:25%;margin-left:-8px;border-top:8px solid #ddd;border-left:8px solid transparent;border-right:8px solid transparent;border-bottom:0}
.tooltip span:before{border-top-color:#ccc;bottom:-8px}
.blue-tooltip span{border-color:rgb(155, 177, 188);background:rgb(155, 177, 188)}
.blue-tooltip span:after{border-top-color:rgb(155, 177, 188)}
.blue-tooltip span:before{border-top-color:rgb(155, 177, 188)}
body{margin:0;padding:0;text-align:justify}
.EnteteLivreLienMultipage{padding-bottom:2px}
#pageLivre #datemiseajour{margin:0;padding:0 0 0 7px;color:#888;background:#fff;font:11px arial,tahoma,arial,sans-serif;text-transform:uppercase;text-align:justify}
ol.listelivres{counter-reset:li;list-style:none;text-shadow: 0 1px 0 rgba(255,255,255,.5);padding:10px 0 10px 15px;margin:15px 0 0;text-align:justify}
.listelivres a{position:relative;display:block;padding:.4em .4em .4em 2em;margin:.4em 0;background:#e6ecf2;color:#444;text-decoration:none;-moz-border-radius:.3em;-webkit-border-radius:.3em;border-radius:.3em;-webkit-transition:all .3s ease-out;-moz-transition:all .3s ease-out;-ms-transition:all .3s ease-out;-o-transition:all .3s ease-out;transition:all .3s ease-out}
.listelivres a:hover{background:#d9edff}
.listelivres a:before{color:#fff;text-shadow:1px 1px 0 rgba(0,0,0,.6);content:counter(li);counter-increment:li;position:absolute;left:-1.3em;top:50%;margin-top:-1.3em;background:#92b9f8;height:2em;width:2em;line-height:2em;border:.3em solid #fff;text-align:center;font-weight:700;-moz-border-radius:2em;-webkit-border-radius:2em;border-radius:2em;-webkit-transition:all .3s ease-out;-moz-transition:all .3s ease-out;-ms-transition:all .3s ease-out;-o-transition:all .3s ease-out;transition:all .3s ease-out}
.listelivres a:hover:before{-moz-transform:rotate(360deg);-webkit-transform:rotate(360deg);-moz-transform:rotate(360deg);-ms-transform:rotate(360deg);-o-transform:rotate(360deg);transform:rotate(360deg);color:#fff;text-shadow:1px 1px 0 rgba(0,0,0,.6)}
span.uppercase{text-transform:uppercase}
#pageLivre h4{font-size:11px}
h2.titrelivre{text-align:center;color:#0078f0;margin:20px auto 0;text-decoration:none;font:400 26px arial,verdana,sans-serif}
h3.sstitrelivre{text-align:center;font-size:20px;font-weight:400;color:#666;margin:5px 0 8px}
.traducteurslivre,.introlivre,.niveau{padding:4px 0 4px 20px;background:url(http://www.developpez.com/template/kit/kitlivrepuce.png) no-repeat 0 60%}
.LabelLivre{color:#111;font-weight:700;color:#666;padding-bottom:2px}
h3.resume{padding:10px 0 5px;text-align:left;letter-spacing:-1px;text-transform:uppercase;margin:20px 0 5px;font:400 14px verdana;background:url(http://www.developpez.com/template/kit/kitlivrelien.gif) repeat-x bottom left}
h3.htabmat{padding:10px 0 5px;text-align:left;letter-spacing:-1px;text-transform:uppercase;margin:10px 0 5px;font:400 14px verdana;background:url(http://www.developpez.com/template/kit/kitlivrelien.gif) repeat-x bottom left}
.resume{margin:0;padding:0}
.auteurslivre{margin:0 0 50px;text-align:center;font-style:italic;color:#666;font-size:12px}
.divCritique{padding:0;margin:0}
.critiqueEntete{color:#333;padding:5px 5px 5px 0;margin:4px 0;letter-spacing:-1px;font:400 14px verdana,sans-serif;background:url(http://www.developpez.com/template/kit/kitlivrelien.gif) repeat-x bottom left}
.critique{padding:10px 10px 0;color:#002c66;background:#f0f7ff}
.UnLivreEntier{width:100%;margin-top:30px;margin-bottom:20px}
.CouvertureLivre{text-align:center;vertical-align:top;width:160px;margin-top:34px;padding:10px 0;float:left;background:#e1eefd;-moz-box-shadow:-3px 3px 5px 0 silver;-webkit-box-shadow:-3px 3px 5px 0 silver;-o-box-shadow:-3px 3px 5px 0 silver;box-shadow:-3px 3px 5px 0 silver;-webkit-border-top-left-radius:10px;-webkit-border-bottom-left-radius:10px;-moz-border-radius-topleft:10px;-moz-border-radius-bottomleft:10px;border-top-left-radius:10px;border-bottom-left-radius:10px}
.ContenuLivre{margin-left:161px;text-align:justify}
.LogoLivre{vertical-align:middle;float:left;width:80px;height:80px}
.EnteteLivre{vertical-align:top}
.infosgen{margin:4px 0 0;padding:10px 0 10px 10px;background:url(http://www.developpez.com/template/kit/kitlivrelien.gif) repeat-x top left}
.livraison{margin:0;padding:10px 0 0 10px;background:url(http://www.developpez.com/template/kit/kitlivrelien.gif) repeat-x top left}
.voiraussi{margin:20px auto 40px;padding:0;text-align:justify;width:400px}
.voiraussi h4{font-size:11px;font-weight:700;margin:0;color:#333;padding:4px 0 4px 10px;border-bottom:#d3d5d6 1px solid}
.voiraussi a,.voiraussi a:visited{display:block;margin:0 10px;padding:4px 0 4px 20px;background:url(http://www.developpez.com/template/kit/kitlivrepuce.png) no-repeat 4px 40% #fff;border-bottom:#eee 1px solid;background:none;text-decoration:none;color:#888;background-image:none;background-repeat:repeat;background-position:0 0}
.voiraussi a:hover{background:url(http://www.developpez.com/template/kit/kitlivrepuce.png) no-repeat 4px 40% #fafcfe;border-bottom:#ddebf9 1px solid;color:#1b65b8;background-image:none;background-repeat:repeat;background-position:0 0}
#pageLivre .validation{padding:12px;color:#ccc;text-align:center;padding:20px 0 20px 0;border:#eee 1px solid;background:url(http://www.developpez.com/template/kit/kitlivrebg.gif) bottom left}
#pageLivre .validation a,#pageLivre .validation a:visited{color:#65686a;text-transform:uppercase;font-size:14px;padding:0 3px 2px;border-bottom:#d3d5d6 1px solid;letter-spacing:-1px;text-decoration:none}
#pageLivre .validation a:hover{border-bottom:#83878b 1px solid}
#pageLivre{margin-right:5px;margin-left:5px;text-align:left;font-size:100%}
#pageLivre a.lienDico{text-decoration:none;color:#000;border-bottom:1px dotted navy}
#pageLivre a.lienDico:hover{border-bottom:1px solid navy}
#pageLivre a.lienforum,#pageLivre a.lienforum:visited{text-decoration:none;color:#000;border-bottom:navy 1px dashed}
#pageLivre a.lienforum:hover{color:navy;border-bottom:navy 1px solid}
h1.TitreLivre,a.TitreLivre,a.TitreLivre:visited{padding-top:20px;color:#6389d8;text-decoration:none;text-align:left;font-size:20px;letter-spacing:-1px;margin-bottom:0}
p.AuteursPageLivre{margin-top:15px;font-style:italic;font-size:.8em}
a.LienTousLesLivres{color:#6389d8;text-decoration:none}
a.LienTousLesLivres:hover{color:red;text-decoration:underline}
.DimensionDrapeau{padding-top:15px;width:80px;height:80px}
.clear{clear:both}
.clearleft{clear:left}
.displayNone{display:none}
.classLivreOnglet{height:18px;float:left;padding:6px 20px 4px;margin:0 4px 0 0;background:url(http://www.developpez.com/template/kit/onglet.png) repeat-x center top;border-top:1px solid silver;border-right:1px solid silver;border-left:1px solid silver;cursor:pointer;color:gray;text-shadow:0 1px 0 rgba(255,255,255,.5);-webkit-border-radius:8px 8px 0 0;-moz-border-radius:8px 8px 0 0;-webkit-border-radius:8px 8px 0 0;border-radius:8px 8px 0 0}
.livreOnglets{}
.livreOngletActif{background:url(http://www.developpez.com/template/kit/ongletActif.png) repeat-x center top;color:#043b53;text-shadow:0 1px 0 rgba(255,255,255,.5);border-top:1px solid #7daaf7;border-right:1px solid #7daaf7;border-left:1px solid #7daaf7}
.livreOngletsSeparation{height:6px;margin-top:11px;background:#92b8f8}
.livreDetails{border:1px solid #7daaf7;-webkit-border-bottom-left-radius:10px;-webkit-border-bottom-right-radius:10px;-moz-border-radius-bottomleft:10px;-moz-border-radius-bottomright:10px;border-bottom-left-radius:10px;border-bottom-right-radius:10px}
.classLivreContenu{padding:20px;text-align:left;min-height:310px;-moz-box-shadow:-5px 5px 5px 0 silver;-webkit-box-shadow:-5px 5px 5px 0 silver;-o-box-shadow:-5px 5px 5px 0 silver;box-shadow:-5px 5px 5px 0 silver;-webkit-border-bottom-left-radius:10px;-webkit-border-bottom-right-radius:10px;-moz-border-radius-bottomleft:10px;-moz-border-radius-bottomright:10px;border-bottom-left-radius:10px;border-bottom-right-radius:10px;position:relative;z-index:10}
div.BarreNavigationLivre{border-top:1px solid #ddd;border-bottom:1px solid #ddd;padding-top:10px;margin:20px 5px;text-align:left;font-size:20px}
#MenuCours,#resultats{color:#666;padding:2px 5px;margin-bottom:10px;text-align:justify;border:1px solid #ddd;background:url(http://www.developpez.com/template/kit/kitlivrebg.gif) left bottom}
#MenuCours ul{margin:0;text-align:left;list-style:none;padding:5px 0 5px 10px}
#MenuCours li a{color:#35383c;text-decoration:none}
#MenuCours li a:hover,.page a:hover{color:#0062d9;border-bottom:1px solid #0062d9}
.PageCours{margin:6px 0;font-size:16px;font-weight:700;list-style-type:none;padding:1px 0 1px 15px}
.PageCours a{color:#35383c;padding:0 2px 1px;text-decoration:none}
div.TitreCategorieCours{background:url(http://www.developpez.com/template/kit/ongletActif.png) repeat-x scroll center top transparent;border-radius: 8px 8px 0 0;height:20px;padding:5px 0 3px 10px;margin-top:15px;color:#fff;font-size:14px;text-align:left;font-style:italic;text-transform:uppercase}
span.retourMenuCours{padding: 1px 10px 4px 0;float:right;margin-top: 0px;font-size:14px;color:#fff}
a.retourMenuCours,a.retourMenuCours:visited{color:#fff;text-decoration:none}
a.retourMenuCours:hover{color:#fff;text-decoration:none}
div.ConteneurCategorieCours{margin-top:0;text-align:left}
ul.cours{margin:0;padding:0;list-style:none;border:1px #ddd solid;background:url(http://www.developpez.com/template/kit/kitcoursbg.gif) repeat-y left bottom}
ul.cours li{border:0;margin:0;padding:0}
.ThemeCours,.resultItem{font-size:12px;font-weight:400;list-style-type:none;margin:3px 0 3px 20px;padding:0 0 1px 20px;background:url(http://www.developpez.com/template/kit/kitlivrepuce.png) no-repeat 0 40%}
ul.ListeCategorieCours{margin:0;padding:5px 0 5px 5px}
div.LeftBlockCours{float:left;width:95px;padding:6px;height:auto;color:#153668;font-size:8px;text-align:left;font-weight:700}
div.LeftBlockCours img{margin-right:4px}
div.divTags{width:100%;margin-top:5px;padding-top:12px;background:url(http://www.developpez.com/template/kit/kitlivrepoint.gif) repeat-x top left}
div.RightBlockCours{height:auto;padding:8px;min-height:65px;margin-left:110px;background:#fff}
.CadreArticleCours{border:#DDD 1px solid}
div.LangueCours{float:left;margin-right:10px}
div.TitreCours{margin-bottom:8px}
span.TitreCours{font-weight:700}
span.TitreCours a{color:#2f94f9;text-decoration:none}
span.TitreCours a:hover{color:#153668;text-decoration:none;border-bottom:1px solid #369}
h1.TitreCours,a.TitreCours,a.TitreCours:visited{color:#0676ff;margin:0;margin-top:4px;text-align:left;letter-spacing:-1px;padding:0 0 0 6px;font:28px arial,verdana,sans-serif}
h1.titrecours a{color:#0676ff;text-decoration:none}
.AuteursCours{font-style:italic}
div.IntroCours{margin-top:2px;margin-bottom:4px}
div.DiversCours{font-size:11px;margin-top:2px}
span.DatesCours{color:#555}
div.voiraussi{padding:0 0 0 320px;width:400px;text-align:justify;margin:20px auto 40px}
div.voiraussi h4{margin:0;color:#333;font-size:11px;font-weight:700;padding:4px 0 4px 10px;border-bottom:#d3d5d6 1px solid}
div.voiraussi a,.voiraussi a:visited{color:#888;display:block;margin:0 10px;text-decoration:none;padding:4px 0 4px 20px;border-bottom:#eee 1px solid;background:url(http://www.developpez.com/template/kit/kitlivrepuce.png) no-repeat 4px 40% #fff}
div.voiraussi a:hover{color:#1b65b8;border-bottom:#ddebf9 1px solid;background:#fafcfe}
.SynopsisOutil{background:url(http://www.developpez.com/template/kit/kitlivrebg.gif) bottom left #fdfdfa;border:#ddd 1px solid;padding:10px 0 5px 15px;margin:5px 0 20px;color:#666;overflow:auto;text-align:justify;background-image:none;background-repeat:repeat;background-position:0 0}
div.divarticle{text-align:center;width:100%}
div.alignement{width:96%;color:#000;text-align:center;margin-left:2%;font-family:Verdana,Times,serif}
#dateMaj{color:#888;font:11px arial,tahoma,arial,sans-serif;text-transform:uppercase;text-align:left;padding:0 0 0 7px;margin:0}
h1.titreoutil,a.titreoutil,a.titreoutil:visited{text-decoration:none;text-align:left;letter-spacing:-1px;padding:0 0 0 6px;margin:0;color:#0676ff;background:#fff;font:28px arial,verdana,sans-serif}
ul.listeoutils{background:url(http://www.developpez.com/template/kit/kitlivrebg.gif) bottom left #fdfdfa;padding:5px 0 5px 5px;margin:0;color:#666;font-size:.7em;font-weight:400;background-image:none;background-repeat:repeat;background-position:0 0}
li.listeoutil{margin:6px 0 6px 20px;padding:0 0 1px 20px;list-style-type:none;background:url(http://www.developpez.com/template/kit/kitlivrepuce.png) no-repeat 0 40%}
a.listeoutil,a.listeoutil:visited{text-decoration:none;color:#35383c;padding:0 2px 1px}
a.listeoutil:hover{color:#0062d9;border-bottom:#b9d9ff 1px solid}
ul.listecategories{background:url(http://www.developpez.com/template/kit/kitlivrebg.gif) bottom left #fdfdfa;border:#ddd 1px solid;padding:10px 0 5px 15px;margin:5px 0 20px;color:#666;text-align:justify;background-image:none;background-repeat:repeat;background-position:0 0}
li.listecategorie{font-size:16px;font-weight:700;margin:6px 0;padding:0 0 1px 10px;list-style-type:none}
a.listecategorie,a.listecategorie:visited{text-decoration:none;color:#35383c;padding:0 2px 1px}
a.listecategorie:hover{color:#0062d9;border-bottom:#b9d9ff 1px solid}
.outil{border:#ddd 1px solid;background:url(http://www.developpez.com/template/kit/kitlivrebg.gif) bottom left;margin:0 0 20px;text-align:left}
div.vignette{float:left;width:225px!important;width:220px;text-align:center}
div.vignette img.image{margin-top:10px;border:1px #ddd solid}
div.corpsDescription{width:auto!important;width:100%;margin-left:225px!important;margin-left:220px;padding:0 0 5px 10px;background:#fff}
div.tag{float:right;margin-right:-1px!important;margin-right:-1px;margin-top:-1px}
div.titre{color:#0078f0;font-size:26px;margin-bottom:10px;padding:5px 0 0 3px}
a.titre,a.titre:visited{color:#0078f0;text-decoration:none}
a.titre:hover{color:#0062d9;border-bottom:#b9d9ff 1px solid}
div.sousTitre{color:gray;font-weight:700;padding:5px;margin-top:10px;margin-right:10px;background:url(http://www.developpez.com/template/kit/kitlivrepoint.gif) repeat-x bottom left}
div.sousTitre span{font-weight:400;color:#2c2f32}
div.critique,div.description{padding:8px;margin:3px 0 10px 1px;text-align:justify;color:#002c66;background:#f0f7ff;padding-bottom:0;margin-right:10px}
div.critique p,div.description p{margin:0;padding-bottom:8px}
div.sousTitre a{font-weight:400;text-decoration:none;color:#2f94f9;padding-bottom:2px;padding-right:20px;background:url(http://www.developpez.com/template/kit/kitlivrearrow.gif) no-repeat 100% 50%}
div.sousTitre a:hover{color:#97bc25;background:url(http://www.developpez.com/template/kit/kitlivrearrowH.gif) no-repeat 100% 50%}
div.article{padding:4px;margin:1px 0 0}
div.liens{padding:5px 0}
div.liens a,div.cmp img{margin:3px}
div.permalien{text-align:right;margin-right:10px}
div.retourMenuOutils{font-size:11px;font-weight:700;text-align:right;margin:10px 0 3px}
div.retourMenuOutils a,div.retourMenuOutils a:visited{color:gray;text-decoration:none;text-transform:uppercase}
div.retourMenuOutils a:hover{color:#0676ff}
.SectionMenuOutil{overflow:auto}
.EditeurOnlineTelechargementOutils{float:left;width:300px}
.TitreOutil{color:#0078f0;font-size:26px;margin-bottom:10px;text-decoration:none;text-align:center}
.TelechargementOutil{}
.CompatibleOutils{}
.LargeurMaxVignetteOutil{max-width:130px}
.CouleurMisAJourOutils{color:#2f94f9;height:15px}
.CouleurNouveauOutils{color:#97bc25;height:15px}
.microsofttraduction{float:left;width:203px;min-height:83px;border-color:#3A5770;background-color:#78ADD0}
#MicrosoftTranslatorWidget{margin-top:-25px}
.ResumeCours{font-family:Verdana,sans-serif}
#fade {display:none;background:#000;position:fixed;left:0;top:0;width:100%;height:100%;opacity:.80;z-index:9999}
.popup_block{width:350px;height:350px;display:none;background:#fff;padding:10px;border:20px solid #ddd;float:left;font-size:1.2em;position: fixed;top:50%;left:50%;z-index:99999;-webkit-box-shadow: 0px 0px 20px #000;-moz-box-shadow: 0px 0px 20px #000;box-shadow: 0px 0px 20px #000;-webkit-border-radius:10px;-moz-border-radius:10px;border-radius:10px}
.divPopup{width:100%;overflow-y:scroll;height:100%}
img.CloturePopup{float:right;margin:-45px -45px 0 0}
.TextNbrVues{display:none;color:#7E7E7E;font-style:italic;font-size: 9px;text-align:right;margin:0}
.MaxSizeImgLivre{max-width:150px;max-height:350px}
a.LienLireArticle{color:white;text-decoration:none;font-size:1.9em;}
a.LienLireArticle span:hover {color:#033;} 
.LienLireArticle{color:#ffffff;font-weight:bold;
-moz-box-shadow: 0px 0px 2px #343434;-webkit-box-shadow: 0px 0px 2px #343434;-o-box-shadow: 0px 0px 2px #343434;
box-shadow: 0px 0px 2px #343434;-moz-border-radius:10px;-webkit-border-radius:10px;
border-radius:5px;border: 1px solid #656565;background:#8FB5F6;
filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#8FB5F6", endColorstr="#658EDF"); /* Pour IE seulement et mode gradient à linear */
	background-color: rgba(168, 191, 203, 0.6);
	background-image: linear-gradient(bottom, rgb(149, 177, 191) 20%, rgba(168, 191, 203, 0.2) 100%);
	background-image: -o-linear-gradient(bottom, rgb(149, 177, 191) 20%, rgba(168, 191, 203, 0.2) 100%);
	background-image: -moz-linear-gradient(bottom, rgb(149, 177, 191) 20%, rgba(168, 191, 203, 0.2) 100%);
	background-image: -webkit-linear-gradient(bottom, rgb(149, 177, 191) 20%, rgba(168, 191, 203, 0.2) 100%);
	background-image: -ms-linear-gradient(bottom, rgb(149, 177, 191) 20%, rgba(168, 191, 203, 0.2) 100%);
padding:10px}
.LienLireArticle:hover{color:#ffffff !important;
	background-color: rgba(168, 191, 203, 0.8);
	background-image: linear-gradient(bottom, rgb(149, 177, 191) 20%, rgba(168, 191, 203, 0.8) 100%);
	background-image: -o-linear-gradient(bottom, rgb(149, 177, 191) 20%, rgba(168, 191, 203, 0.8) 100%);
	background-image: -moz-linear-gradient(bottom, rgb(149, 177, 191) 20%, rgba(168, 191, 203, 0.8) 100%);
	background-image: -webkit-linear-gradient(bottom, rgb(149, 177, 191) 20%, rgba(168, 191, 203, 0.8) 100%);
	background-image: -ms-linear-gradient(bottom, rgb(149, 177, 191) 20%, rgba(168, 191, 203, 0.8) 100%)}

.ParaLienLireArticle{padding-top:50px;}
ul.none{list-style:none;}
ol li p:first-child{margin:0;}
ul li p:first-child{margin:0;}


.titres_voiraussi_dvp,.titres_reference{text-align:center;padding-left:5px;color:#000000;font-weight:700}
.cadre_voiraussi_dvp,.cadre_reference{-moz-border-radius:7px;-webkit-border-radius:7px;border-radius:7px;margin:15px auto;width:650px;
border:1px solid #DDDDDD;background:10px center #E0F2E2;box-shadow:0 0 5px 1px #5C9970;box-shadow:none;}
.cadre_voiraussi_dvp li, .cadre_reference li {padding:1px 3px}
.cadre_reference{background-color:rgba(155, 177, 188, 0.1)}
div.contenuPage{font-family:Verdana,sans-serif;font-size:12px;line-height:18px;}
td>p,th>p{ margin:2px 0px}